## ros-galactic-moveit-hybrid-planning 2.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(moveit_hybrid_planning)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(moveit_core REQUIRED)
find_package(moveit_msgs REQUIRED)
find_package(moveit_ros_planning REQUIRED)
find_package(moveit_ros_planning_interface REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_action REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(std_msgs REQUIRED)
find_package(std_srvs REQUIRED)
find_package(tf2_ros REQUIRED)
find_package(trajectory_msgs REQUIRED)

set(LIBRARIES
  # Components
  moveit_global_planner_component
  moveit_hybrid_planning_manager
  moveit_local_planner_component
  # Plugins
  forward_trajectory_plugin
  motion_planning_pipeline_plugin
  replan_invalidated_trajectory_plugin
  simple_sampler_plugin
  single_plan_execution_plugin
)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  rclcpp
  rclcpp_components
  rclcpp_action
  moveit_core
  moveit_ros_planning
  moveit_ros_planning_interface
  moveit_msgs
  pluginlib
  std_msgs
  std_srvs
  tf2_ros
  trajectory_msgs
)

set(THIS_PACKAGE_INCLUDE_DIRS
  global_planner/global_planner_component/include/
  global_planner/global_planner_plugins/include/
  hybrid_planning_manager/hybrid_planning_manager_component/include/
  hybrid_planning_manager/planner_logic_plugins/include/
  local_planner/local_planner_component/include/
  local_planner/trajectory_operator_plugins/include/
  local_planner/local_constraint_solver_plugins/include/
)
include_directories(${THIS_PACKAGE_INCLUDE_DIRS})

add_subdirectory(hybrid_planning_manager)
add_subdirectory(global_planner)
add_subdirectory(local_planner)
add_subdirectory(test)

rclcpp_components_register_nodes(moveit_hybrid_planning_manager "moveit::hybrid_planning::HybridPlanningManager")
rclcpp_components_register_nodes(moveit_global_planner_component "moveit::hybrid_planning::GlobalPlannerComponent")
rclcpp_components_register_nodes(moveit_local_planner_component "moveit::hybrid_planning::LocalPlannerComponent")

install(TARGETS ${LIBRARIES}
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
  INCLUDES DESTINATION include)

install(TARGETS hybrid_planning_demo_node
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
  INCLUDES DESTINATION include)

install(DIRECTORY ${THIS_PACKAGE_INCLUDE_DIRS} DESTINATION include)

install(DIRECTORY test/launch DESTINATION share/${PROJECT_NAME})
install(DIRECTORY test/config DESTINATION share/${PROJECT_NAME})

pluginlib_export_plugin_description_file(moveit_hybrid_planning single_plan_execution_plugin.xml)
pluginlib_export_plugin_description_file(moveit_hybrid_planning moveit_planning_pipeline_plugin.xml)
pluginlib_export_plugin_description_file(moveit_hybrid_planning simple_sampler_plugin.xml)
pluginlib_export_plugin_description_file(moveit_hybrid_planning replan_invalidated_trajectory_plugin.xml)
pluginlib_export_plugin_description_file(moveit_hybrid_planning forward_trajectory_plugin.xml)

ament_export_include_directories(include)
ament_export_libraries(${LIBRARIES})
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})
ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ros_testing REQUIRED)
  find_package(Boost REQUIRED COMPONENTS filesystem)

  # These don't pass yet, disable them for now
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cppcheck_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  set(ament_cmake_flake8_FOUND TRUE)
  set(ament_cmake_uncrustify_FOUND TRUE)

  # Run all lint tests in package.xml except those listed above
  ament_lint_auto_find_test_dependencies()

  # Basic launch test
  add_ros_test(test/launch/test_basic_launching.test.py TIMEOUT 120 ARGS "test_binary_dir:=${CMAKE_CURRENT_BINARY_DIR}")

endif()

ament_package()

=== test/CMakeLists.txt ===
add_executable(hybrid_planning_demo_node hybrid_planning_demo_node.cpp)
ament_target_dependencies(hybrid_planning_demo_node ${THIS_PACKAGE_INCLUDE_DEPENDS})
target_link_libraries(hybrid_planning_demo_node ${LIBRARIES})

=== global_planner/global_planner_plugins/CMakeLists.txt ===
add_library(motion_planning_pipeline_plugin SHARED
  src/moveit_planning_pipeline.cpp
)
set_target_properties(motion_planning_pipeline_plugin PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
ament_target_dependencies(motion_planning_pipeline_plugin ${THIS_PACKAGE_INCLUDE_DEPENDS})

=== hybrid_planning_manager/hybrid_planning_manager_component/CMakeLists.txt ===
# Hybrid planning manager component
add_library(moveit_hybrid_planning_manager SHARED src/hybrid_planning_manager.cpp)
set_target_properties(moveit_hybrid_planning_manager PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
ament_target_dependencies(moveit_hybrid_planning_manager ${THIS_PACKAGE_INCLUDE_DEPENDS})

=== hybrid_planning_manager/planner_logic_plugins/CMakeLists.txt ===
add_library(single_plan_execution_plugin SHARED
  src/single_plan_execution.cpp
)
set_target_properties(single_plan_execution_plugin PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
ament_target_dependencies(single_plan_execution_plugin ${THIS_PACKAGE_INCLUDE_DEPENDS})
target_link_libraries(single_plan_execution_plugin moveit_hybrid_planning_manager)

add_library(replan_invalidated_trajectory_plugin SHARED
  src/replan_invalidated_trajectory.cpp
)
set_target_properties(replan_invalidated_trajectory_plugin PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
ament_target_dependencies(replan_invalidated_trajectory_plugin ${THIS_PACKAGE_INCLUDE_DEPENDS})
target_link_libraries(replan_invalidated_trajectory_plugin moveit_hybrid_planning_manager single_plan_execution_plugin)

=== local_planner/local_planner_component/CMakeLists.txt ===
# Local_planner_component
add_library(moveit_local_planner_component SHARED
  src/local_planner_component.cpp
)
set_target_properties(moveit_local_planner_component PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
ament_target_dependencies(moveit_local_planner_component ${THIS_PACKAGE_INCLUDE_DEPENDS})

=== debian/changelog ===
ros-galactic-moveit-hybrid-planning (2.3.4-1focal) focal; urgency=high

  * Remove unused parameters. (#1018 <https://github.com/ros-planning/moveit2/issues/1018>) (#1023 <https://github.com/ros-planning/moveit2/issues/1023>)
  * Contributors: Tyler Weaver, Vatan Aksoy Tezer, Cory Crean

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 07 Feb 2022 07:00:00 -0000

ros-galactic-moveit-hybrid-planning (2.3.3-1focal) focal; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 20 Jan 2022 07:00:00 -0000

ros-galactic-moveit-hybrid-planning (2.3.2-1focal) focal; urgency=high

  * Fix syntax (#939 <https://github.com/ros-planning/moveit2/issues/939>)
    Co-authored-by: AndyZe <mailto:zelenak@picknik.ai>
  * Contributors: Sebastian Jahr

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 29 Dec 2021 07:00:00 -0000

ros-galactic-moveit-hybrid-planning (2.3.1-1focal) focal; urgency=high

  * Bump new packages to 2.3.0
  * Add codespell to precommit, fix A LOT of spelling mistakes (#934 <https://github.com/ros-planning/moveit2/issues/934>)
  * CMake fix and cleanup abstract class (#6 <https://github.com/ros-planning/moveit2/issues/6>)
    * Install hybrid_planning_demo_node separately to avoid exporting it
    * Fix exported include directory
    * Remove getTargetWayPointIndex() from abstract trajectory operator class
    * Delete unused getTargetWayPointIndex()
  * Standardize with moveit_cpp parameters. Fix some parameter loading errors
  * Enable reaction to planner failure in the planner logic (#3 <https://github.com/ros-planning/moveit2/issues/3>)
    * Add unsuccessful action Hybrid Planning events and handle them in logic
    * Replace std::once with simple bool variable
    * Remove unneeded variable and update comments
    Don't const& for built-in types
    Co-authored-by: Tyler Weaver <tylerjw@gmail.com>
  * Update robot state properly
    Update robot state properly; remove debug prints; clang format
    Check if the local planner is stuck within the forward_traj plugin, not local_planner_component
  * Pass GlobalPlanner failing to HybridPlanningManager
  * Move common launch elements to a Python file, for easy re-use
    Refactor Global and Local Planner Components into NodeClasses
    Add a simple launch test (#1 <https://github.com/ros-planning/moveit2/issues/1>)
    Try to fix plugin export; add helpful debug when stuck
    Error if global planning fails
    READY and AWAIT_TRAJ states are redundant
    Lock the planning scene as briefly as possible
    Specify joint group when checking waypoint distance
    Implement a reset() function in the local planner
    Detect when the local planner gets stuck
  * Add generic global planner plugin, support MotionSequenceRequest (#585 <https://github.com/ros-planning/moveit2/issues/585>)
    Fix hybrid planning include folders (#675 <https://github.com/ros-planning/moveit2/issues/675>)
    Order stuff in the CMakeLists.txt and remove control_box package
    Update README
    Move member initialization to initializer lists
    Remove control_box include dependency
    Replace "loop-run" with "iteration"
    Remove cpp interface class constructors and destructors
    Use joint_state_broadcaster, clean up test node, add execution dependencies
    Use only plugin interface header files and add missing dependencies
    Clean up constructor and destructor definitions
    Declare missing parameter in moveit_planning_pipeline_plugin
    Move rclcpp::Loggers into anonymous namespaces
    Switch CI branches to feature/hybrid_planning
    Update message name
    Remove moveit_msgs from .repos file
    Update github workflows
    Remove note from readme about building from source
    Minor renamings, make reset() noexcept
    Check for vector length of zero
    Load moveit_cpp options with the Options helper. Reduces LOC.
    Set the planning parameters within plan()
    Function renaming
    Authors and descriptions in header files only. New header file for error code interface.
    Update namespacing
    Use default QoS for subscribers
    Better progress comparison
    Add publish_joint_positions and publish_joint_velocities param
    Grammar and other minor nitpicks
    Restore moveit_msgs to .repos, for now
  * Refactor local planner plugins (#447 <https://github.com/ros-planning/moveit2/issues/447>)
    * Add reset method for trajectory operator and local constraint sampler
    * Refactor next_waypoint_sampler into simple_sampler
    * Include collision checking to forward_trajectory and remove unneeded plugin
    * Fix formatting and plugin description
    * Update README and add missing planner logic plugin description
    Add TODO to use lifecycle components nodes to trigger initialization
    Return a reaction result instead of bool on react()
    Set invalidation flag to false on reset() in ForwardTrajectory local solver
    Return local planner feedback from trajectory operator function calls
    Fix segfault caused by passing through the global trajectory
    Update comment, unify logging and add missing config parameters
    Update to rolling
  * Restructure hybrid_planning package (#426 <https://github.com/ros-planning/moveit2/issues/426>)
    * Add forward_trajectory local solver plugin (#359 <https://github.com/ros-planning/moveit2/issues/359>)
    * Use ros2_control based joint simulation and remove unnecessary comment
    * Update copyrights
    * Restructure hybrid planning package
    * Fix formatting and add missing time stamp in local solver plugin
    * Remove unnecessary logging and param loading
    * Enable different interfaces between local planner and controller
    * Use JointGroupPositionController as demo hardware controller
  * Code cleanup & MoveIt best practices (#351 <https://github.com/ros-planning/moveit2/issues/351>)
    * Export missing plugins
    * Use std::chrono_literals
    * Construct smart pointers with std::make_* instead of 'new'


=== debian/control ===
Source: ros-galactic-moveit-hybrid-planning
Section: misc
Priority: optional
Maintainer: MoveIt Release Team <moveit_releasers@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-cmake-gtest, ros-galactic-ament-index-cpp, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-moveit-common, ros-galactic-moveit-core, ros-galactic-moveit-msgs, ros-galactic-moveit-planners-ompl, ros-galactic-moveit-ros-planning, ros-galactic-moveit-ros-planning-interface, ros-galactic-pluginlib, ros-galactic-rclcpp, ros-galactic-rclcpp-action, ros-galactic-rclcpp-components, ros-galactic-ros-testing, ros-galactic-std-msgs, ros-galactic-std-srvs, ros-galactic-tf2-ros, ros-galactic-trajectory-msgs, ros-galactic-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-galactic-moveit-hybrid-planning
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-ament-index-cpp, ros-galactic-controller-manager, ros-galactic-moveit-core, ros-galactic-moveit-msgs, ros-galactic-moveit-resources-panda-moveit-config, ros-galactic-moveit-ros-planning, ros-galactic-moveit-ros-planning-interface, ros-galactic-pluginlib, ros-galactic-rclcpp, ros-galactic-rclcpp-action, ros-galactic-rclcpp-components, ros-galactic-robot-state-publisher, ros-galactic-rviz2, ros-galactic-std-msgs, ros-galactic-std-srvs, ros-galactic-tf2-ros, ros-galactic-trajectory-msgs, ros-galactic-ros-workspace
Description: Hybrid planning components of MoveIt 2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-moveit-hybrid-planning//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
